## quake 1

=== Makefile ===
# Makefile - used for building icon

obj = \
	quake \
	quake-server \
	quake.xpm \
	16/quake.png \
	22/quake.png \
	24/quake.png \
	32/quake.png \
	48/quake.png \
	256/quake.png \
	quake.svg

all: $(obj)

quake: quake.in
	sed -e 's/@self@/quake/g' \
		-e 's/@role@/client/g' \
		-e 's/@options@//g' \
		-e 's/@alternative@/quake-engine/g' \
		< $< > $@
	chmod +x $@

quake-server: quake.in
	sed -e 's/@self@/quake-server/g' \
		-e 's/@role@/server/g' \
		-e 's/@options@/-dedicated/g' \
		-e 's/@alternative@/quake-engine-server/g' \
		< $< > $@
	chmod +x $@

24/quake.png: 22/quake.png
	install -d 24
	convert -bordercolor Transparent -border 1x1 $< $@

%/quake.png: quake1+2.svg
	install -d $*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

quake.xpm: 32/quake.png
	convert $< $@

clean: 
	rm -f $(obj) tmp.svg
	rm -rf 16 22 24 32 48 256

quake.svg: quake1+2.svg Makefile
	xmlstarlet ed -d "//*[local-name() = 'g' and @id != 'layer-quake-256']" < $< > tmp.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		tmp.svg
	rm -f tmp.svg

=== debian/changelog ===
quake (1) experimental; urgency=low

  [ David Banks ]
  * Initial release.

  [ Simon McVittie ]
  * Move to contrib/games due to dependency on non-distributable data
  * Allow game-data-packager to satisfy the quake-data dependency: if a
    user installs this package before data, we want g-d-p to get installed,
    and the launcher copes gracefully with being run with no data
  * Change dependencies and re-word package description to talk about
    quake-registered and quake-shareware specifically, since they're the
    core packages
  * Recommend something that can display the "need data" message
  * Replace bitmapped icon with an independently-created SVG and scripts
    to generate various sizes
  * Add a Quake mini-policy in debian/policy.txt, describing a quake-engine
    alternative, and use that
  * Give the script a --engine switch to force a particular engine
  * Include menu entries for the mission packs, which are automatically
    hidden if the corresponding data files are not installed
  * Add a quake-server binary package

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 17:35:56 +0100

=== debian/control ===
Source: quake
Maintainer: David Banks <amoebae@gmail.com>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
           Simon McVittie <smcv@debian.org>
Section: contrib/games
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: imagemagick,
                     inkscape,
                     xmlstarlet
Standards-Version: 3.9.2.0

Package: quake
Architecture: all
Depends: ${misc:Depends},
         quakespasm | quake-engine,
         quake-registered | quake-shareware | game-data-packager
Recommends: x11-utils | zenity | kdebase-bin
Suggests: quake-armagon (>= 29), quake-dissolution (>= 29)
Description: classic first person shooter
 This package contains a launcher script and menu entry to play
 Quake 1 with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.

Package: quake-server
Architecture: all
Depends: adduser,
         quakespasm | quake-engine-server,
         quake-registered | quake-shareware | game-data-packager,
         ${misc:Depends}
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

## quake 2

=== debian/changelog ===
quake (2) unstable; urgency=low

  [ David Banks ]
  * Suggest correct path to darkplaces

  [ Simon McVittie ]
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Nov 2011 18:16:05 +0000

## quake 7

=== Makefile ===
# Makefile - used for building icon

obj = \
	build/quake \
	build/quake2 \
	build/quake3 \
	build/quake-server \
	build/quake2-server \
	build/quake3-server \
	build/quake.xpm \
	build/quake2.xpm \
	build/16/quake.png \
	build/16/quake-armagon.png \
	build/16/quake-dissolution.png \
	build/16/quake2.png \
	build/22/quake.png \
	build/22/quake-armagon.png \
	build/22/quake-dissolution.png \
	build/22/quake2.png \
	build/24/quake.png \
	build/24/quake-armagon.png \
	build/24/quake-dissolution.png \
	build/24/quake2.png \
	build/32/quake.png \
	build/32/quake-armagon.png \
	build/32/quake-dissolution.png \
	build/32/quake2.png \
	build/48/quake.png \
	build/48/quake-armagon.png \
	build/48/quake-dissolution.png \
	build/48/quake2.png \
	build/256/quake.png \
	build/256/quake-armagon.png \
	build/256/quake-dissolution.png \
	build/256/quake2.png \
	build/quake.svg \
	build/quake-armagon.svg \
	build/quake-dissolution.svg \
	build/quake2.svg \
	build/quake3.png \
	build/quake3.xpm \
	build/quake332.xpm \
	build/quake3-teamarena.png \
	build/quake3-teamarena.xpm \
	build/quake3-teamarena32.xpm

all: $(obj)

build/quake: quake.in
	install -d build
	sed -e 's/@self@/quake/g' \
		-e 's/@role@/client/g' \
		-e 's/@options@//g' \
		-e 's/@alternative@/quake-engine/g' \
		< $< > $@
	chmod +x $@

build/quake2: quake2.in
	install -d build
	sed -e 's/@self@/quake2/g' \
		-e 's/@role@/client/g' \
		-e 's/@options@//g' \
		-e 's/@alternative@/quake2-engine/g' \
		< $< > $@
	chmod +x $@

build/quake3: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioquake3!' \
		-e 's!@IOQ3SELF@!quake3!' \
		-e 's!@IOQ3ROLE@!client!' \
		< $< > $@
	chmod +x $@

build/quake2-server: quake2.in
	install -d build
	sed -e 's/@self@/quake2-server/g' \
		-e 's/@role@/dedicated server/g' \
		-e 's/@options@/+set dedicated 1/g' \
		-e 's/@alternative@/quake2-engine-server/g' \
		< $< > $@
	chmod +x $@

build/quake-server: quake.in
	install -d build
	sed -e 's/@self@/quake-server/g' \
		-e 's/@role@/server/g' \
		-e 's/@options@/-dedicated/g' \
		-e 's/@alternative@/quake-engine-server/g' \
		< $< > $@
	chmod +x $@

build/quake3-server: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioq3ded!' \
		-e 's!@IOQ3SELF@!quake3!' \
		-e 's!@IOQ3ROLE@!server!' \
		< $< > $@
	chmod +x $@

build/tmp-dissolution.svg: quake1+2.svg Makefile
	install -d build
	sed -e 's/#c17d11/#999984/' \
		-e 's/#d5b582/#dede95/' \
		-e 's/#5f3b01/#403f31/' \
		-e 's/#e9b96e/#dede95/' \
		< $< > $@

build/tmp-armagon.svg: quake1+2.svg Makefile
	install -d build
	sed -e 's/#c17d11/#565248/' \
		-e 's/#d5b582/#aba390/' \
		-e 's/#5f3b01/#000000/' \
		-e 's/#e9b96e/#aba390/' \
		< $< > $@

build/24/quake.png: build/22/quake.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake-%.png: build/22/quake-%.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake2.png: build/22/quake2.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/%/quake.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

build/%/quake-armagon.png: build/tmp-armagon.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

build/%/quake-dissolution.png: build/tmp-dissolution.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

build/%/quake2.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

build/%.xpm: build/32/%.png
	install -d build
	convert $< $@

clean:
	rm -rf build

build/quake.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @id != 'layer-quake-256']" < $< > tmp.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		tmp.svg
	rm -f tmp.svg

build/quake-%.svg: build/tmp-%.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @id != 'layer-quake-256']" < $< > tmp.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		tmp.svg
	rm -f tmp.svg

build/quake2.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @id != 'layer-quake2-256']" < $< > tmp.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		tmp.svg
	rm -f tmp.svg

build/quake3.png: quake3-tango.xcf
	install -d build
	xcf2png -o $@ $<

build/quake3-teamarena.png: quake3-teamarena-tango.xcf
	install -d build
	xcf2png -o $@ $<

build/%.xpm: build/%.png
	convert $< $@

build/%32.xpm: build/%.png
	convert -resize 32x32 $< $@

=== debian/changelog ===
quake (7) unstable; urgency=low

  [ Fabian Greffrath ]
  * Sort Debian control files via "wrap-and-sort -ab".

  [ Simon McVittie ]
  * quake2-server: don't recommend x11-utils | etc., they are only used
    in the clients
  * Recommend kde-baseapps-bin instead of transitional kdebase-bin

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Mar 2014 13:56:32 +0000

quake (6) unstable; urgency=low

  * Generate recoloured icons for Quake mission packs
  * Put built files in build/
  * Mention bug 728506 in the version 5 changelog
  * Add some keywords to the .desktop files
  * Add VCS fields to debian/control
  * Standards-Version: 3.9.5 (no changes needed)
  * Take over the quake3 and quake3-server binary packages from src:quake3
  * Add a recoloured Team Arena icon
  * Add Keywords to quake3.desktop
  * Duplicate quake3 lintian overrides to quake, quake2 since they concern
    the copyright file, which was merged

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jan 2014 11:03:16 +0000

quake3 (1.4) unstable; urgency=low

  * Add status action to init script
  * Don't refuse to start a new quake3-server if there's a stale pid file
    (similar to #678543)
  * Report ioquake3, ioquake3-server information in quake3, quake3-server bugs
  * Standards-Version: 3.9.3 (no changes)
  * Update copyright dates
  * Add a Description to the init script
  * Run a server from the quake3-server package by default (as per Policy),
    unless this is an upgrade from 1.3 or older
  * During purge of quake3-server, delete files owned by Debian-quake3 before
    deleting the user itself

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Jun 2012 14:08:41 +0100

quake3 (1.3) unstable; urgency=low

  * Make the desktop file definitely run /usr/games/quake3, and not some
    other quake3 on the user's $PATH
  * Upload to unstable/contrib now that I've done the same with g-d-p 25

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2011 15:49:39 +0000

quake3 (1.2) experimental; urgency=low

  * Make the QUAKE3_BACKTRACE option work properly

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Jan 2011 22:27:07 +0000

quake3 (1.1) experimental; urgency=low

  * Allow game-data-packager to satisfy the quake3-data dependency
  * If quake3-data is missing from quake3, don't allow the game to run (the
    engine doesn't cope well with it); instead, use zenity, kdialog, xmessage
    or (as a last resort) terminal output to tell the user about
    game-data-packager
  * If quake3-data is missing from quake3-server, just output to the console
  * Add a simple init script (disabled by default, so you don't have to use
    it if you prefer to run the server under screen or something), based on
    the one in tremulous-server

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Nov 2010 23:12:28 +0000

quake3 (1.0) experimental; urgency=low

  [ Jack Coulter ]
  * Initial packaging (Closes: #487933), based on work by Marc Leeman and
    Bruno Kleinert

  [ Simon McVittie ]
  * Adapt for the current version of ioquake3
  * Upgrade to source format 3.0 (native), debhelper v8, machine-readable
    copyright, and Policy version 3.9.1
  * Include the GIMP source file for the logo (from ioquake3), and produce
    lower-quality versions from it at build time
  * Upload to experimental for now, until a version of game-data-packager
    that can produce quake3-data reaches unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Oct 2010 23:29:21 +0100

quake (5) experimental; urgency=low

  * Team upload.
  * Fix quake2 dependency to be quake2-engine, not quake-engine.
    (Closes: #728506)

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 Nov 2013 15:03:41 +0000

quake (4) experimental; urgency=low

  * Add support for Quake II
  * Upload to experimental

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Sep 2013 14:51:56 +0100

quake (3) unstable; urgency=low

  [ David Banks ]
  * Add LSB description field to init script.
  * Add status action to init script (ported from quake3 package).
  * Bump debhelper compat version to 9 to avoid python warning.
  * Bump standards version to the latest version, 3.9.3.

  [ Simon McVittie ]
  * Apply patch from Stephan Springl to install successfully with
    non-shadow passwords (Closes: #679642)
  * Standards-Version: 3.9.4, no changes needed

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Sep 2013 21:53:10 +0100

=== debian/control ===
Source: quake
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Banks <amoebae@gmail.com>,
           Simon McVittie <smcv@debian.org>,
           Jack Coulter <jscinoz@gmail.com>
Section: contrib/games
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: imagemagick,
                     inkscape,
                     xcftools,
                     xmlstarlet
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/quake.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/quake.git

Package: quake
Architecture: all
Depends: quake-registered | quake-shareware | game-data-packager,
         quakespasm | quake-engine,
         ${misc:Depends}
Recommends: x11-utils | zenity | kde-baseapps-bin
Suggests: quake-armagon (>= 29),
          quake-armagon-music,
          quake-dissolution (>= 29),
          quake-dissolution-music,
          quake-music
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.

Package: quake-server
Architecture: all
Depends: adduser,
         quake-registered | quake-shareware | game-data-packager,
         quakespasm | quake-engine-server,
         ${misc:Depends}
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Depends: quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
         yamagi-quake2 | quake2-engine,
         ${misc:Depends}
Suggests: quake2-music
Recommends: x11-utils | zenity | kde-baseapps-bin
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.

Package: quake2-server
Architecture: all
Depends: adduser,
         quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
         yamagi-quake2-core | quake2-engine-server,
         ${misc:Depends}
Description: dedicated server for Quake II
 This package contains a launcher script and init script to run a
 Quake II server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.

Package: quake3
Architecture: all
Depends: ioquake3,
         quake3-data | game-data-packager (>= 23),
         ${misc:Depends}
Recommends: x11-utils | zenity | kde-baseapps-bin
Description: Quake III Arena menu entry and launcher scripts
 This package contains a launcher script and menu entry to play
 Quake III Arena with the ioQuake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.

Package: quake3-server
Architecture: all
Depends: adduser,
         ioquake3-server,
         quake3-data | game-data-packager (>= 23),
         ${misc:Depends}
Description: Quake III Arena dedicated server launcher scripts
 This package contains a launcher script to run a Quake III Arena dedicated
 server with the ioQuake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.

## quake 8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # Makefile - used for building icon
+
+layer_sizes = 16 22 32 48 256
 
 obj = \
 	build/quake \
@@ -9,30 +11,10 @@
 	build/quake3-server \
 	build/quake.xpm \
 	build/quake2.xpm \
-	build/16/quake.png \
-	build/16/quake-armagon.png \
-	build/16/quake-dissolution.png \
-	build/16/quake2.png \
-	build/22/quake.png \
-	build/22/quake-armagon.png \
-	build/22/quake-dissolution.png \
-	build/22/quake2.png \
 	build/24/quake.png \
 	build/24/quake-armagon.png \
 	build/24/quake-dissolution.png \
 	build/24/quake2.png \
-	build/32/quake.png \
-	build/32/quake-armagon.png \
-	build/32/quake-dissolution.png \
-	build/32/quake2.png \
-	build/48/quake.png \
-	build/48/quake-armagon.png \
-	build/48/quake-dissolution.png \
-	build/48/quake2.png \
-	build/256/quake.png \
-	build/256/quake-armagon.png \
-	build/256/quake-dissolution.png \
-	build/256/quake2.png \
 	build/quake.svg \
 	build/quake-armagon.svg \
 	build/quake-dissolution.svg \
@@ -42,7 +24,12 @@
 	build/quake332.xpm \
 	build/quake3-teamarena.png \
 	build/quake3-teamarena.xpm \
-	build/quake3-teamarena32.xpm
+	build/quake3-teamarena32.xpm \
+	$(patsubst %,build/%/quake.png,$(layer_sizes)) \
+	$(patsubst %,build/%/quake-armagon.png,$(layer_sizes)) \
+	$(patsubst %,build/%/quake-dissolution.png,$(layer_sizes)) \
+	$(patsubst %,build/%/quake2.png,$(layer_sizes)) \
+	$(NULL)
 
 all: $(obj)
 
@@ -128,7 +115,7 @@
 	install -d build/24
 	convert -bordercolor Transparent -border 1x1 $< $@
 
-build/%/quake.png: quake1+2.svg
+$(patsubst %,build/%/quake.png,$(layer_sizes)): build/%/quake.png: quake1+2.svg
 	install -d build/$*
 	inkscape \
 		--export-area=0:0:$*:$* \
@@ -139,7 +126,7 @@
 		--export-png=$@ \
 		$<
 
-build/%/quake-armagon.png: build/tmp-armagon.svg
+$(patsubst %,build/%/quake-armagon.png,$(layer_sizes)): build/%/quake-armagon.png: build/tmp-armagon.svg
 	install -d build/$*
 	inkscape \
 		--export-area=0:0:$*:$* \
@@ -150,7 +137,7 @@
 		--export-png=$@ \
 		$<
 
-build/%/quake-dissolution.png: build/tmp-dissolution.svg
+$(patsubst %,build/%/quake-dissolution.png,$(layer_sizes)): build/%/quake-dissolution.png: build/tmp-dissolution.svg
 	install -d build/$*
 	inkscape \
 		--export-area=0:0:$*:$* \
@@ -161,7 +148,7 @@
 		--export-png=$@ \
 		$<
 
-build/%/quake2.png: quake1+2.svg
+$(patsubst %,build/%/quake2.png,$(layer_sizes)): build/%/quake2.png: quake1+2.svg
 	install -d build/$*
 	inkscape \
 		--export-area=0:0:$*:$* \

=== debian/changelog ===
quake (8) unstable; urgency=medium

  * Avoid ambiguous precedence of Makefile rules for 24px icons,
    fixing FTBFS with recent make (Closes: #751039)

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jun 2014 22:56:23 +0100

## quake 13

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,14 @@
 	build/24/quake-armagon.png \
 	build/24/quake-dissolution.png \
 	build/24/quake2.png \
+	build/24/quake2-reckoning.png \
+	build/24/quake2-groundzero.png \
 	build/quake.svg \
 	build/quake-armagon.svg \
 	build/quake-dissolution.svg \
 	build/quake2.svg \
+	build/quake2-reckoning.svg \
+	build/quake2-groundzero.svg \
 	build/quake3.png \
 	build/quake3.xpm \
 	build/quake332.xpm \
@@ -29,6 +33,8 @@
 	$(patsubst %,build/%/quake-armagon.png,$(layer_sizes)) \
 	$(patsubst %,build/%/quake-dissolution.png,$(layer_sizes)) \
 	$(patsubst %,build/%/quake2.png,$(layer_sizes)) \
+	$(patsubst %,build/%/quake2-reckoning.png,$(layer_sizes)) \
+	$(patsubst %,build/%/quake2-groundzero.png,$(layer_sizes)) \
 	$(NULL)
 
 all: $(obj)
@@ -103,6 +109,22 @@
 		-e 's/#e9b96e/#aba390/' \
 		< $< > $@
 
+build/tmp-reckoning.svg: quake1+2.svg Makefile
+	install -d build
+	sed -e 's/#3a5a1e/#999984/' \
+		-e 's/#73ae3a/#eeeeec/' \
+		-e 's/#8ae234/#eeeeec/' \
+		-e 's/#132601/#233436/' \
+		< $< > $@
+
+build/tmp-groundzero.svg: quake1+2.svg Makefile
+	install -d build
+	sed -e 's/#3a5a1e/#ce5c00/' \
+		-e 's/#73ae3a/#fce94f/' \
+		-e 's/#8ae234/#fce94f/' \
+		-e 's/#132601/#cc0000/' \
+		< $< > $@
+
 build/24/quake.png: build/22/quake.png
 	install -d build/24
 	convert -bordercolor Transparent -border 1x1 $< $@
@@ -115,6 +137,10 @@
 	install -d build/24
 	convert -bordercolor Transparent -border 1x1 $< $@
 
+build/24/quake2-%.png: build/22/quake2-%.png
+	install -d build/24
+	convert -bordercolor Transparent -border 1x1 $< $@
+
 $(patsubst %,build/%/quake.png,$(layer_sizes)): build/%/quake.png: quake1+2.svg
 	install -d build/$*
 	inkscape \
@@ -149,6 +175,28 @@
 		$<
 
 $(patsubst %,build/%/quake2.png,$(layer_sizes)): build/%/quake2.png: quake1+2.svg
+	install -d build/$*
+	inkscape \
+		--export-area=0:0:$*:$* \
+		--export-width=$* \
+		--export-height=$* \
+		--export-id=layer-quake2-$* \
+		--export-id-only \
+		--export-png=$@ \
+		$<
+
+$(patsubst %,build/%/quake2-reckoning.png,$(layer_sizes)): build/%/quake2-reckoning.png: build/tmp-reckoning.svg
+	install -d build/$*
+	inkscape \
+		--export-area=0:0:$*:$* \
+		--export-width=$* \
+		--export-height=$* \
+		--export-id=layer-quake2-$* \
+		--export-id-only \
+		--export-png=$@ \
+		$<
+
+$(patsubst %,build/%/quake2-groundzero.png,$(layer_sizes)): build/%/quake2-groundzero.png: build/tmp-groundzero.svg
 	install -d build/$*
 	inkscape \
 		--export-area=0:0:$*:$* \
@@ -193,6 +241,15 @@
 		tmp.svg
 	rm -f tmp.svg
 
+build/quake2-%.svg: build/tmp-%.svg Makefile
+	install -d build
+	xmlstarlet ed -d "//*[local-name() = 'g' and @id != 'layer-quake2-256']" < $< > tmp.svg
+	inkscape \
+		--export-area-page \
+		--export-plain-svg=$@ \
+		tmp.svg
+	rm -f tmp.svg
+
 build/quake3.png: quake3-tango.xcf
 	install -d build
 	xcf2png -o $@ $<

=== debian/changelog ===
quake (13) unstable; urgency=medium

  * Canonicalize Vcs-Browser, and use https
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2015 10:11:59 +0100

quake (12) experimental; urgency=low

  * quake3-server.init: set correct com_homepath for sysvinit servers
    (server.q3a, not /var/games/.../server.q3a - it is meant to be relative
    to $HOME)
  * quake3-server: install extra symlinks so that server.cfg can be found
    when using quake3*-data (>= 40)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Feb 2015 11:02:50 +0000

quake (11) experimental; urgency=low

  * quake3: fix installed-location detection by looking for pak0.pk3,
    not pak0.pak

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 11:17:00 +0000

quake (10) experimental; urgency=low

  * quake2: execute debian_server.cfg again, reverting a change from v9.
    Unlike quake and quake3, quake2's default configuration file is named
    debian_server.cfg, and the demo and full game have different versions.
  * quake, quake3: remove support for START_DAEMON
    - if the server was previously disabled via START_DAEMON,
      do a one-time migration to "update-rc.d $SERVICE disable"
  * Modify quake*-server configuration
    - put default for DAEMON_OPTS in /etc/init.d/quake*-server so it can
      operate without /etc/default/quake*-server
    - "+exec etc/quake*-server/server.cfg" is no longer part of DAEMON_OPTS
    - add native systemd units
    - add optional instanced systemd units for multiple servers per machine
  * quake3: prefer to load game data from /usr/lib/quake3/base
    or /usr/lib/quake3/ta, where ioquake3 can provide native-code game modules
    - this requires ioquake3 (>= 1.36+u20150114+dfsg1-1~) and
      quake3*-data built by game-data-packager (>= 40)
  * quake3: experimental support for loading the demo data
    - the same requirements apply
  * Standards-Version 3.9.6 (no changes)
  * Simplify advice on obtaining game data, and point to
    game-data-packager's new declarative data files for checksums and
    exact sizes (Closes: #762823)
  * quake-server, quake2-server: if no data, exit 72 like quake3-server does

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 10:18:27 +0000

quake (9) experimental; urgency=low

  * quake3.desktop: describe Q3 as an ActionGame, not an ArcadeGame
  * Install the Q3 icon to the freedesktop.org icon path
  * Add recoloured icons and desktop files for the Quake II mission packs
    (requires quake2-reckoning and/or quake2-groundzero from
    game-data-packager 39)
  * Add desktop file for Quake III: Team Arena (requires quake3-team-arena
    from game-data-packager 39) and install its icon
  * Partially sync server configuration from openjk and iortcw:
    - deprecate START_DAEMON
    - make /etc/quake*-server available as etc/quake*-server in the game
      engine's search path so it's more obvious what is being exec'd (leave
      the debian_server.cfg symlink in for compatibility)
  * quake3-server: use a non-hidden home path,
    /var/games/quake3-server/server.q3a, in preparation for multiple-instance
    support

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jan 2015 12:32:19 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
            Jack Coulter <jscinoz@gmail.com>
 Section: contrib/games
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends:
+ debhelper (>= 9),
+ dh-systemd,
 Build-Depends-Indep: imagemagick,
                      inkscape,
                      xcftools,
                      xmlstarlet
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/quake.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/quake.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quake.git
 
 Package: quake
 Architecture: all
@@ -38,6 +40,11 @@
  CD-ROM.
  .
  Creating quake-shareware requires the shareware version of Quake.
+ .
+ game-data-packager (>= 29) can also produce packages for the offical mission
+ packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
+ of Eternity (developed by Rogue Entertainment). Additional menu entries
+ should appear automatically if those expansions are installed.
 
 Package: quake-server
 Architecture: all
@@ -58,8 +65,13 @@
 Depends: quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
          yamagi-quake2 | quake2-engine,
          ${misc:Depends}
-Suggests: quake2-music
-Recommends: x11-utils | zenity | kde-baseapps-bin
+Suggests:
+ quake2-music,
+ quake2-reckoning,
+ quake2-groundzero,
+Recommends:
+ game-data-packager (>= 39),
+ x11-utils | zenity | kde-baseapps-bin,
 Description: classic science-fiction-themed first person shooter
  Quake II is a classic first-person shooter game by id Software,
  released in 1997. This package contains a launcher script and menu
@@ -69,6 +81,11 @@
  non-distributable packages by using the game-data-packager package:
  either quake2-full-data or quake2-demo-data. Creating quake2-full-data
  requires data files from a Quake II installation or CD-ROM.
+ .
+ game-data-packager (>= 39) can also produce packages for the offical mission
+ packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero
+ (developed by Rogue Entertainment). Additional menu entries should
+ appear automatically if those expansions are installed.
 
 Package: quake2-server
 Architecture: all
@@ -76,6 +93,9 @@
          quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
          yamagi-quake2-core | quake2-engine-server,
          ${misc:Depends}
+Suggests:
+ quake2-reckoning,
+ quake2-groundzero,
 Description: dedicated server for Quake II
  This package contains a launcher script and init script to run a
  Quake II server automatically, with any suitable engine.
@@ -88,16 +108,25 @@
 Package: quake3
 Architecture: all
 Depends: ioquake3,
-         quake3-data | game-data-packager (>= 23),
+         quake3-data | quake3-demo-data (>= 40) | game-data-packager (>= 23),
          ${misc:Depends}
+Suggests: quake3-team-arena-data
 Recommends: x11-utils | zenity | kde-baseapps-bin
 Description: Quake III Arena menu entry and launcher scripts
  This package contains a launcher script and menu entry to play
- Quake III Arena with the ioQuake3 engine.
+ Quake III Arena or Quake III: Team Arena with the ioquake3 engine.
  .
  To make this package useful, you will need to create and install the
- non-distributable quake3-data package, by using the game-data-packager
- package. This requires pak0.pk3 from a Quake III installation or CD-ROM.
+ non-distributable quake3-data or quake3-demo-data package, by using
+ the game-data-packager package.
+ .
+ quake3-data requires pak0.pk3 from a Quake III installation or CD-ROM.
+ quake3-demo-data only requires freely downloadable files, but is
+ not necessarily reliable.
+ .
+ game-data-packager (>= 39) can also produce a package for the offical
+ expansion pack Quake III: Team Arena. An additional menu entry should appear
+ automatically if that expansion are installed.
 
 Package: quake3-server
 Architecture: all
@@ -105,9 +134,12 @@
          ioquake3-server,
          quake3-data | game-data-packager (>= 23),
          ${misc:Depends}
+Recommends:
+ game-data-packager (>= 39),
+Suggests: quake3-team-arena-data
 Description: Quake III Arena dedicated server launcher scripts
- This package contains a launcher script to run a Quake III Arena dedicated
- server with the ioQuake3 engine.
+ This package contains a launcher script to run a Quake III Arena or
+ Quake III: Team Arena dedicated server with the ioquake3 engine.
  .
  To make this package useful, you will need to create and install the
  non-distributable quake3-data package, by using the game-data-packager

## quake 16

=== Makefile ===
# Makefile - used for building icon

layer_sizes = 16 22 32 48 256

obj = \
	build/quake \
	build/quake2 \
	build/quake3 \
	build/quake4 \
	build/quake-server \
	build/quake2-server \
	build/quake3-server \
	build/quake4-dedicated \
	build/24/quake.png \
	build/24/quake-armagon.png \
	build/24/quake-dissolution.png \
	build/24/quake2.png \
	build/24/quake2-reckoning.png \
	build/24/quake2-groundzero.png \
	build/24/quake4.png \
	build/quake.svg \
	build/quake-armagon.svg \
	build/quake-dissolution.svg \
	build/quake2.svg \
	build/quake2-reckoning.svg \
	build/quake2-groundzero.svg \
	build/quake3.png \
	build/quake3-teamarena.png \
	build/quake4.svg \
	build/48/quake3.png \
	build/48/quake3-teamarena.png \
	$(patsubst %,build/%/quake.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake-armagon.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake-dissolution.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake2.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake2-reckoning.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake2-groundzero.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake4.png,$(layer_sizes)) \
	$(NULL)

all: $(obj)

build/quake: quake.in
	install -d build
	sed -e 's/@self@/quake/g' \
		-e 's/@role@/client/g' \
		-e 's/@options@//g' \
		-e 's/@alternative@/quake-engine/g' \
		< $< > $@
	chmod +x $@

build/quake2: quake2.in
	install -d build
	sed -e 's/@self@/quake2/g' \
		-e 's/@role@/client/g' \
		-e 's/@options@//g' \
		-e 's/@alternative@/quake2-engine/g' \
		< $< > $@
	chmod +x $@

build/quake3: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioquake3!' \
		-e 's!@IOQ3SELF@!quake3!' \
		-e 's!@IOQ3ROLE@!client!' \
		< $< > $@
	chmod +x $@

build/quake4: quake4.in Makefile
	install -d build
	sed \
		-e 's!@binary@!quake4.x86!' \
		-e 's!@self@!quake4!' \
		-e 's!@role@!client!' \
		< $< > $@
	chmod +x $@

build/quake4-smp: quake4-smp.in Makefile
	install -d build
	sed \
		-e 's!@binary@!quake4smp.x86!' \
		-e 's!@self@!quake4-smp!' \
		-e 's!@role@!client!' \
		< $< > $@
	chmod +x $@

build/quake2-server: quake2.in
	install -d build
	sed -e 's/@self@/quake2-server/g' \
		-e 's/@role@/dedicated server/g' \
		-e 's/@options@/+set dedicated 1/g' \
		-e 's/@alternative@/quake2-engine-server/g' \
		< $< > $@
	chmod +x $@

build/quake-server: quake.in
	install -d build
	sed -e 's/@self@/quake-server/g' \
		-e 's/@role@/server/g' \
		-e 's/@options@/-dedicated/g' \
		-e 's/@alternative@/quake-engine-server/g' \
		< $< > $@
	chmod +x $@

build/quake3-server: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioq3ded!' \
		-e 's!@IOQ3SELF@!quake3-server!' \
		-e 's!@IOQ3ROLE@!server!' \
		< $< > $@
	chmod +x $@

build/quake4-dedicated: quake4.in Makefile
	install -d build
	sed \
		-e 's!@binary@!q4ded.x86!' \
		-e 's!@self@!quake4-dedicated!' \
		-e 's!@role@!server!' \
		< $< > $@
	chmod +x $@

build/tmp/recolour-dissolution.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#c17d11/#999984/' \
		-e 's/#d5b582/#dede95/' \
		-e 's/#5f3b01/#403f31/' \
		-e 's/#e9b96e/#dede95/' \
		< $< > $@

build/tmp/recolour-armagon.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#c17d11/#565248/' \
		-e 's/#d5b582/#aba390/' \
		-e 's/#5f3b01/#000000/' \
		-e 's/#e9b96e/#aba390/' \
		< $< > $@

build/tmp/recolour-reckoning.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#3a5a1e/#999984/' \
		-e 's/#73ae3a/#eeeeec/' \
		-e 's/#8ae234/#eeeeec/' \
		-e 's/#132601/#233436/' \
		< $< > $@

build/tmp/recolour-groundzero.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#3a5a1e/#ce5c00/' \
		-e 's/#73ae3a/#fce94f/' \
		-e 's/#8ae234/#fce94f/' \
		-e 's/#132601/#cc0000/' \
		< $< > $@

build/24/quake.png: build/22/quake.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake-%.png: build/22/quake-%.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake2.png: build/22/quake2.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake4.png: build/22/quake4.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake2-%.png: build/22/quake2-%.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

$(patsubst %,build/%/quake.png,$(layer_sizes)): build/%/quake.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake-armagon.png,$(layer_sizes)): build/%/quake-armagon.png: build/tmp/recolour-armagon.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake-dissolution.png,$(layer_sizes)): build/%/quake-dissolution.png: build/tmp/recolour-dissolution.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake2.png,$(layer_sizes)): build/%/quake2.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake4.png,16 22 32): build/%/quake4.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:32:32 \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-32 \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake4.png,48 256): build/%/quake4.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake2-reckoning.png,$(layer_sizes)): build/%/quake2-reckoning.png: build/tmp/recolour-reckoning.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake2-groundzero.png,$(layer_sizes)): build/%/quake2-groundzero.png: build/tmp/recolour-groundzero.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

clean:
	rm -rf build

build/quake.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > build/tmp/quake.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake.svg
	rm -f build/tmp/quake.svg

build/quake-%.svg: build/tmp/recolour-%.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > build/tmp/quake-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake-$*.svg
	rm -f build/tmp/quake-$*.svg

build/quake2.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > build/tmp/quake2.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake2.svg
	rm -f build/tmp/quake2.svg

build/quake4.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > build/tmp/quake4.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake4.svg
	rm -f build/tmp/quake4.svg

build/quake2-%.svg: build/tmp/recolour-%.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > build/tmp/quake2-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake2-$*.svg
	rm -f build/tmp/quake2-$*.svg

build/quake3.png: quake3-tango.xcf
	install -d build
	xcf2png -o $@ $<

build/quake3-teamarena.png: quake3-teamarena-tango.xcf
	install -d build
	xcf2png -o $@ $<

build/48/quake3.png: build/quake3.png Makefile
	install -d build/48
	convert -resize 48x48 $< $@

build/48/quake3-teamarena.png: build/quake3-teamarena.png Makefile
	install -d build/48
	convert -resize 48x48 $< $@

=== debian/changelog ===
quake (16) unstable; urgency=medium

  * Move Build-Depends-Indep to Build-Depends; they are needed
    for the quake4 package, which is Architecture: i386 due to
    its dependency on i386-only binaries.
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Nov 2015 18:16:46 +0000

quake (15+exp1) experimental; urgency=medium

  * Enable the quake4 packages unconditionally
  * Upload to experimental to wait for NEW processing

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2015 00:06:05 +0000

quake (15) unstable; urgency=medium

  * quake3-server: correct help text
  * quake3-server: lock the Debian-quake3 account on purge, and unlock
    it on reinstallation, instead of deleting it on purge.
    This matches what we do for quake-server and quake2-server,
    and hardens the system against the possibility that files owned
    by Debian-quake3 might become owned by an unrelated user that
    is given the same numeric uid.
  * Add support for Quake 4, using the proprietary binaries (there is
    no open-source engine). These packages are currently skipped by
    default: use DEB_BUILD_OPTIONS=quake4 to build them.

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2015 00:05:29 +0000

quake (14) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Don't show "--text=" in kdialog prompt (Closes: #781943)
  * Suggest new packages quake2-{groundzero,reckoning}-data
    instead of their old names quake2-{groundzero,reckoning}

  [ Simon McVittie ]
  * Install a 48x48 version of the Quake III Arena icons in addition
    to 256x256, as recommended by the XDG Icon Theme spec
  * Stop installing traditional Debian menu files to comply with
    CTTE decision #741573
  * Stop installing XPM icons
  * Use unique temporary filenames, so parallel builds can work

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Oct 2015 10:03:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends:
  debhelper (>= 9),
  dh-systemd,
-Build-Depends-Indep: imagemagick,
-                     inkscape,
-                     xcftools,
-                     xmlstarlet
+ imagemagick,
+ inkscape,
+ xcftools,
+ xmlstarlet,
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/quake.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quake.git
@@ -41,7 +41,7 @@
  .
  Creating quake-shareware requires the shareware version of Quake.
  .
- game-data-packager (>= 29) can also produce packages for the offical mission
+ game-data-packager (>= 29) can also produce packages for the official mission
  packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
  of Eternity (developed by Rogue Entertainment). Additional menu entries
  should appear automatically if those expansions are installed.
@@ -82,7 +82,7 @@
  either quake2-full-data or quake2-demo-data. Creating quake2-full-data
  requires data files from a Quake II installation or CD-ROM.
  .
- game-data-packager (>= 39) can also produce packages for the offical mission
+ game-data-packager (>= 39) can also produce packages for the official mission
  packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero
  (developed by Rogue Entertainment). Additional menu entries should
  appear automatically if those expansions are installed.
@@ -94,8 +94,8 @@
          yamagi-quake2-core | quake2-engine-server,
          ${misc:Depends}
 Suggests:
- quake2-reckoning,
- quake2-groundzero,
+ quake2-reckoning-data,
+ quake2-groundzero-data,
 Description: dedicated server for Quake II
  This package contains a launcher script and init script to run a
  Quake II server automatically, with any suitable engine.
@@ -124,7 +124,7 @@
  quake3-demo-data only requires freely downloadable files, but is
  not necessarily reliable.
  .
- game-data-packager (>= 39) can also produce a package for the offical
+ game-data-packager (>= 39) can also produce a package for the official
  expansion pack Quake III: Team Arena. An additional menu entry should appear
  automatically if that expansion are installed.
 
@@ -144,3 +144,59 @@
  To make this package useful, you will need to create and install the
  non-distributable quake3-data package, by using the game-data-packager
  package. This requires pak0.pk3 from a Quake III installation or CD-ROM.
+
+Package: quake4
+Architecture: i386
+Depends:
+ ${misc:Depends},
+ quake4-bin | game-data-packager (>= 43),
+Suggests:
+ quake4-pb-bin,
+Description: science-fiction-themed first person shooter
+ Quake 4 is a first-person shooter game by Raven Software and id Software,
+ released in 2005. This package contains a launcher script and menu
+ entry to play Quake 4 using the proprietary x86 binaries provided by
+ id Software.
+ .
+ Please note that the Quake 4 engine is not Free Software, and Debian
+ cannot fix any bugs or security flaws in the engine or game code.
+ .
+ To make this package useful, you will need to create and install some
+ non-distributable packages by using the game-data-packager package:
+ quake4-bin, and either quake4-data (for all regions except Germany)
+ or quake4-censored-de-data (for the incompatible version sold in
+ Germany). Creating those packages requires data files from a Quake 4
+ installation or DVD.
+
+Package: quake4-server
+Architecture: i386
+Depends:
+ ${misc:Depends},
+ adduser,
+ quake4-bin | game-data-packager (>= 43),
+ quake4-data | quake4-censored-de-data | game-data-packager (>= 43),
+Recommends:
+ systemd-sysv,
+Suggests:
+ quake4-pb-bin,
+Description: dedicated server for Quake 4
+ This package contains a launcher script and systemd unit to run a
+ Quake 4 server using the proprietary x86 binaries provided by id Software.
+ .
+ Please note that the Quake 4 engine is not Free Software, and Debian
+ cannot fix any bugs or security flaws in the engine or game code.
+ .
+ To mitigate any security flaws that might exist in this server,
+ the systemd unit is not enabled by default, and must be enabled
+ with systemctl if it should start at boot time. The systemd unit
+ uses various security hardening options to prevent the server from
+ escalating its privileges. There is no sysvinit script,
+ since sysvinit does not provide similar security hardening.
+ .
+ To make this package useful, you will need to create and install some
+ non-distributable packages by using the game-data-packager package:
+ quake4-bin, and either quake4-data (for the uncensored
+ version sold on Steam and in countries other than Germany) or
+ quake4-censored-de-data (for the incompatible version sold in Germany).
+ Creating those packages requires data files from a Quake 4 installation
+ or DVD.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with=systemd

override_dh_installinit:
	dh_installinit -pquake4-server --noscripts
	dh_installinit --remaining-packages

override_dh_systemd_enable:
	dh_systemd_enable -pquake4-server --no-enable
	dh_systemd_enable --remaining-packages
